Subject: Re: [PATCH 3/3] gitk: Allow displaying time zones from author and commit timestamps

From: Jakub Narebski <[email-masked]>
Date: Mon, 30 May 2011 08:29:51 +0200

Tim Guirgies wrote:
> On Sun, May 29, 2011 at 10:35:08PM -0700, Jakub Narebski wrote:
> > Anders Kaseorg <[email-masked]> writes:

[...]
> > > Yeah, sorry, that deserved a bit more explanation.  This is a kludge to 
> > > get Tcl 8.4 to format dates in the right timezone.  IDK is an arbitrary 
> > > made up 3-letter code (“I Don’t Know”), since a UTC offset can’t generally 
> > > be converted into a zone name.  The format of TZ is described at:
> > > http://www.gnu.org/software/libc/manual/html_node/TZ-Variable.html
> > > http://pubs.opengroup.org/onlinepubs/9699919799/basedefs/V1_chap08.html
> > > 
> > > Actually, reading that again, I just realized that I need to invert the 
> > > sign.  Also that it can be longer than 3 letters; I’ll use “Unknown” 
> > > instead.
> > 
> > Why not use UTC+N timezone (note: please check of for +HHMM it is
> > UTC+HH or UTC-HH) for timezone with given numeric offset from
> > Coordinated Universal Time?
> > 
> > BTW. UTC because http://www.nist.gov/pml/div688/utcnist.cfm#cut
> 
> But what of half-hour offsets, in that case?  A better idea would be
> UTC+HHMM or UTC-HHMM.  As an example, SA (CST) has a timezone of
> UTC+0930.

I think full specification is UTC+HH:MM or UTC-HH:MM.  GNU date
understands 'TZ=UTC+09:30 date'.

P.S. I should have remembered about fractional timezones, as we have had
problems in gitweb with those... and I have checked then that git.git
repository includes some commits in fractional timezones.

-- 
Jakub Narebski
Poland